4

HI I'm trying to install Sitecore Experience Commerce and got this PowerShell message I tried the steps below to install this SQL for PowerShell but I still got the error message below
https://docs.microsoft.com/en-us/sql/powershell/download-sql-server-ps-module?view=sql-server-2017

Thanks for any help !

----- DeployCommerceDatabase : DeployCommerceDatabase ------------------------ Deleting existing CommerceServices databases... Install-SitecoreConfiguration : SQL Server Provider for Windows PowerShell is not installed. At F:\SITECORE_ECommerce_9\SIF.Sitecore.Commerce.1.0.1748\MyDeploy-Sitecore-Commerce.ps1:74 char:2 + Install-SitecoreConfiguration @params + ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ + CategoryInfo : NotSpecified: (:) [Write-Error], WriteErrorException + FullyQualifiedErrorId : Microsoft.PowerShell.Commands.WriteErrorException,Install-SitecoreConfiguration

enter image description here

  • Which version of Sitecore and Sitecore Commerce are you trying to install? Which OS do you use and also what is MS SQL Server version? – Peter Procházka Jun 19 '18 at 13:23
  • Windows 10, SIF.Sitecore.Commerce.1.0.1748(Ecommerce 9), SQL Server 2017 , one thing that is weird, Is that im Using PowerShell 64 bits, but when I Install, the SQLServer package goes to (C:\Program Files (x86)\WindowsPowerShell\Modules , Perhaps it should go to C:\Program Files \WindowsPowerShell\Modules – Jose Neto Jun 19 '18 at 13:34
  • 2
    @Jose SQL Server 2017 is not supported kb.sitecore.net/articles/087164 – Vlad Iobagiu Jun 19 '18 at 13:50
  • I have Sitecore 9 under SQL server 2017 – Jose Neto Jun 19 '18 at 14:20
  • 1
    Yes but officially it is not supported as @Vlad mentioned therefore if you have any problems in the future Sitecore Support won't help you and also you will have problem on Slack channel or here in StackExchange to find somebody with this "exotic" configuration... You should always follow official guidelines from Sitecore. – Peter Procházka Jun 20 '18 at 7:04
7

I found the Answer ,download the file below only if you have "SQL SERVER 2017"

https://gitlab.com/viet.hoang/workshop/raw/master/Scripts%20for%20Sitecore%20Commerce%20901/DeployCommerceDatabase.psm1

Overwrite this file on the installation SIF.Sitecore.Commerce.1.0.1748\Modules\DeployCommerceDatabase\DeployCommerceDatabase.psm1 Run the script to Install again and the issue will not show up

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.